## spectro/synthcal

### Summary

Create synthetic calibration file. The default is a linear calibration file.

### Usage

synthcal [-options] basename
-r res Set the calibration resolution (default 256)
-t N i = input, o = output, d = display (default)
-d col_comb choose colorant combination from the following:
0: Print grey
1: Video grey
2: Print RGB
3: Video RGB
4: CMYK
5: CMY
6: CMYK + Light CM
7: CMYK + Light CMK
8: CMYK + Red + Blue
9: CMYK + Orange + Green
10: CMYK + Light CMK + Light Light K
11: CMYK + Orange + Green + Light CM
12: CMYK + Light CM + Medium CM
-D colorant Add or delete colorant from combination:
(Use -?? to list known colorants)
-o o1,o2,o3,... Set non-linear curve offset, last to all chan. (default 0.0)
-s s1,s2,s3,... Set non-linear curve scale, last to all chan. (default 1.0)
-p p1,p2,p3,... Set non-linear curve powers, last to all chan. (default 1.0)
basename Base name for output .cal file

### Comments

This is the tool creates a calibration (.cal) file that has a linear table for each channel. This is useful in setting up a display for evaluation, disabling printer calibration, testing, or to recover a display that has a strange set of Video LUTs loaded.
The -r parameter selects the table resolution. The default is 256.
The -t option selects the type of device the calibration file is intended for. Default is display.
The -d option selects the device colorspace. The default for input and display is Video RGB, while the default for output is CMYK.
The -D parameter modifies the colorspace set by -d by allowing individual colorants to be added or subtracted from the colorspace.
Optionally it can be used to create a non-linear calibration file, useful for diagnostics. Each of the device channel curves can be given a gamma (power curve) shape, scaled to a maximum other than 1.0, and offset from a value other than 0.0. If less than the number of channels values is set in -o, -s or -p, then the last value will be extended to the remaining channels.